ia64/xen-unstable

view tools/ioemu/README @ 8740:3d7ea7972b39

Update patches for linux 2.6.15.

Signed-off-by: Christian Limpach <Christian.Limpach@cl.cam.ac.uk>
author cl349@firebug.cl.cam.ac.uk
date Thu Feb 02 17:16:00 2006 +0000 (2006-02-02)
parents 8e5fc5fe636c
children f7b43e5c42b9
line source
1 The QEMU x86 emulator
2 ---------------------
4 INSTALLATION
5 ------------
7 Type
9 ./configure
10 make
12 to build qemu, qemu-CPU and libqemu.a (CPU is the name of the various
13 supported target CPUs).
15 Type
17 make install
19 to install QEMU in /usr/local
21 Tested tool versions
22 --------------------
24 In order to compile QEMU succesfully, it is very important that you
25 have the right tools. The most important one is gcc. I cannot guaranty
26 that QEMU works if you do not use a tested gcc version. Look at
27 'configure' and 'Makefile' if you want to make a different gcc
28 version work.
30 host gcc binutils glibc linux distribution
31 ----------------------------------------------------------------------
32 x86 2.95.2 2.13.2 2.1.3 2.4.18
33 3.2 2.13.2 2.1.3 2.4.18
34 2.96 2.11.93.0.2 2.2.5 2.4.18 Red Hat 7.3
35 3.2.2 2.13.90.0.18 2.3.2 2.4.20 Red Hat 9
37 PowerPC 3.3 [4] 2.13.90.0.18 2.3.1 2.4.20briq
38 3.2
40 Alpha 3.3 [1] 2.14.90.0.4 2.2.5 2.2.20 [2] Debian 3.0
42 Sparc32 2.95.4 2.12.90.0.1 2.2.5 2.4.18 Debian 3.0
44 ARM 2.95.4 2.12.90.0.1 2.2.5 2.4.9 [3] Debian 3.0
46 [1] On Alpha, QEMU needs the gcc 'visibility' attribute only available
47 for gcc version >= 3.3.
48 [2] Linux >= 2.4.20 is necessary for precise exception support
49 (untested).
50 [3] 2.4.9-ac10-rmk2-np1-cerf2
52 [4] gcc 2.95.x generates invalid code when using too many register
53 variables. You must use gcc 3.x on PowerPC.
55 Documentation
56 -------------
58 Read the documentation in qemu-doc.html.
61 Fabrice Bellard.